centos8 安装最新docker

发布于 2020-08-14  274 次阅读


1. 卸载老版本

yum remove docker \
                docker-client \
                docker-client-latest \
                docker-common \
                docker-latest \
                docker-latest-logrotate \
                docker-logrotate \
                docker-engine

2. 安装docker 基础包

yum install -y yum-utils \
device-mapper-persistent-data \
lvm2

3. 设置稳定仓库

yum-config-manager \
  --add-repo \
  https://mirrors.aliyun.com/docker-ce/linux/centos/docker-ce.repo

4. 安装Docker Engine - Community --此命令会安装最新版本(latest)

yum install docker-ce docker-ce-cli containerd.io

5. 可以安装指定版本

yum list docker-ce --showduplicates | sort -r  #查看版本
sudo yum install docker-ce-<VERSION_STRING> docker-ce-cli-<VERSION_STRING> containerd.io #安装指定版本

6. 启动与测试

sudo systemctl start docker  # 启动docker
docker run hello-world #测试

运行后会显示下图,说明docker安装成功。 20200223221146757

containerd.io版本过低

阿里云docker包

wget https://download.docker.com/linux/centos/7/x86_64/stable/Packages/containerd.io-1.2.6-3.3.el7.x86_64.rpm  
yum install containerd.io-1.2.6-3.3.el7.x86_64.rpm #安装containerd.io
#再次重新安装docker
yum install docker-ce docker-ce-cli containerd.io

podman-manpages问题解决(博主安装中未出现此问题)

在执行安装docker命令,出现包冲突podman-manpages-1.4.2-5.module_el8.1.0+237+63e26edc.noarch 20200223171330270 卸载 podman-manpages

yum list podman-manpages  #查看 podman-manpages
yum remove podman-manpages.noarch #卸载podman-manpages.noarch
#再次重新安装docker
sudo yum install docker-ce docker-ce-cli containerd.io

docker换源

1、换ustc源

sudo vim  /etc/docker/daemon.json

添加

{
  "registry-mirrors": ["https://docker.mirrors.ustc.edu.cn"]
}

2、换阿里源

阿里云镜像加速

sudo mkdir -p /etc/docker #创建目录

#在指定目录下添加如下文件内容

sudo tee /etc/docker/daemon.json <<-'EOF'
{
 "registry-mirrors": ["https://c4wq72kn.mirror.aliyuncs.com"]
}
EOF

sudo systemctl daemon-reload    #重启加速器

sudo systemctl restart docker   #重启docker